<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>sum.html</title>
    <!-- <script src="sum.js"></script> -->
    <script>
        document.addEventListener('DOMContentLoaded', function () {

            document.querySelectorAll('button').forEach(function (item) {
                item.addEventListener('click', function () {
                    let result, first, last = 0;
                    first = document.getElementById('first').value;
                    last = document.getElementById('last').value;

                    if(this.getAttribute('id')=='plus'){
                        result=parseInt(first)+parseInt(last); 
                    }else if (this.getAttribute('id')=='minus'){
                        result=parseInt(first)-parseInt(last); 
                    }else if (this.getAttribute('id')=='multi'){
                        result=parseInt(first)*parseInt(last); 
                    }else if (this.getAttribute('id')=='divide'){
                        result=parseInt(first)/parseInt(last); 
                    }
                    document.getElementById('result').value = result;
                })
            })

        })
    </script>
</head>

<body>
    <label for="first">값1: </label><input type="number" name="first" id="first"></label>
    <label for="last">값2: </label><input type="number" name="last" id="last"></label>
    <label for="result">결과: </label><input type="number" name="result" id="result"></label>
    <br>
    <button id="plus">더하기</button>
    <button id="minus">빼기</button>
    <button id="multi">곱하기</button>
    <button id="divide">나누기</button>

</body>

</html>